#
# spec file for package atkmm1_6
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define _name   atkmm
Name:           atkmm1_6
Version:        2.28.0
Release:        lp152.1.3
Summary:        C++ Binding for the ATK library
License:        LGPL-2.1-or-later
Group:          Development/Libraries/C and C++
URL:            http://www.gtkmm.org/
Source:         https://download.gnome.org/sources/atkmm/2.28/%{_name}-%{version}.tar.xz
Source99:       baselibs.conf
BuildRequires:  fdupes
BuildRequires:  gcc-c++
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(atk) >= 1.18
BuildRequires:  pkgconfig(glibmm-2.4) >= 2.46.2

%description
atkmm is the C++ binding for the ATK library.
This module is part of the GNOME C++ bindings effort.

%package -n libatkmm-1_6-1
Summary:        C++ Binding for the ATK library
License:        LGPL-2.1-or-later
Group:          System/Libraries

%description -n libatkmm-1_6-1
atkmm is the C++ binding for the ATK library.
This module is part of the GNOME C++ bindings effort.

%package devel
Summary:        C++ Binding for the ATK library
License:        LGPL-2.1-or-later
Group:          Development/Libraries/C and C++
Requires:       libatkmm-1_6-1 = %{version}

%description devel
atkmm is the C++ binding for the ATK library.
This module is part of the GNOME C++ bindings effort.

%package doc
Summary:        C++ Binding for the ATK library
License:        GPL-2.0-or-later AND LGPL-2.1-or-later
Group:          Documentation/HTML
Requires:       glibmm2-doc
BuildArch:      noarch

%description doc
atkmm is the C++ binding for the ATK library.
This module is part of the GNOME C++ bindings effort.

%prep
%setup -q -n %{_name}-%{version}

%build
%configure --disable-static
make %{?_smp_mflags}

%install
%makeinstall
find %{buildroot} -type f -name "*.la" -delete -print
%fdupes %{buildroot}

%post -n libatkmm-1_6-1 -p /sbin/ldconfig

%postun -n libatkmm-1_6-1 -p /sbin/ldconfig

%files -n libatkmm-1_6-1
%defattr (-, root, root)
%license COPYING
%doc AUTHORS ChangeLog NEWS README
%{_libdir}/libatkmm-1.6.so.*

%files devel
%defattr (-, root, root)
%{_includedir}/atkmm-1.6/
%{_libdir}/libatkmm-1.6.so
%{_libdir}/pkgconfig/atkmm-1.6.pc
%dir %{_libdir}/atkmm-1.6
%{_libdir}/atkmm-1.6/include/
%dir %{_libdir}/atkmm-1.6/proc
%{_libdir}/atkmm-1.6/proc/m4/

%files doc
%defattr (-, root, root)
%{_datadir}/devhelp/books/atkmm-1.6/
%{_datadir}/doc/atkmm-1.6/
# Avoid BuildRequires on devhelp
%dir %{_datadir}/devhelp
%dir %{_datadir}/devhelp/books

%changelog
* Sun Dec  2 2018 bjorn.lie@gmail.com
- Update to version 2.28.0:
  + No changes, version bump only.
- Changes from version 2.24.3:
  + Fix silent builds.
  + Text: Plug memory leaks in get_text_vfunc() and
    get_selection_vfunc(). These vfuncs shall delete the returned
    character array after it has been copied to a Glib::ustring.
  + Replace the Visual Studio project files with MSVC NMake project
    files.
* Wed Feb 28 2018 dimstar@opensuse.org
- Modernize spec-file by calling spec-cleaner
* Mon Dec  5 2016 jengelh@inai.de
- rectify rpm groups
* Mon Dec  5 2016 dimstar@opensuse.org
- Rename to atkmm1_6: atkmm 2.25.x brings a new API/ABI to be used
  in GTK4 based applications.
* Fri Apr 15 2016 idonmez@suse.com
- Update to GNOME 3.20  Fate#318572
* Mon Nov 30 2015 zaitor@opensuse.org
- Update to version 2.24.2:
  + Regenerate with the latest glibmm.
* Wed Sep 30 2015 zaitor@opensuse.org
- Update to version 2.24.1:
  + Regenerate with the latest glibmm.
- Changes from version 2.24.0:
  + MSVC build fixes.
* Fri Sep  4 2015 zaitor@opensuse.org
- Update to version 2.23.3:
  + Rebuilt with latest glibmm, whose gmmproc generates C++ move
    operations.
* Sat Jul 25 2015 zaitor@opensuse.org
- Update to version 2.23.2:
  + Use (and require) C++11.
- Changes from version 2.23.1:
  + Atk:
  - Document: Add get/set_attribute() and deprecate
    get_document() and get_document_type().
  - Component: Deprecate add/remove_focus_handler, get_size() and
    get_position().
  - Add Range.
  - Table:
    . Deprecate get_column/row_at_index().
    . Add a get_at() const version and deprecate get_index_at().
  - Text:
    . Deprecate get_text_before_offset(),
    get_text_after_offset().
    . Add get_string_at_offset(), deprecating other methods for
    it.
  - Value: Deprecate get_minimum/maximum_range() in favour or
    get_range().
  + Build: Update MSVC 2005, 2008 and 2010 Projects: Add "Install"
    Project.
* Mon Apr 29 2013 dimstar@opensuse.org
- Update to version 2.22.7:
  + Remove the use of g_type_init() because it has been deprecated.
* Fri Feb  1 2013 coolo@suse.com
- update license to new format
* Mon Feb 13 2012 coolo@suse.com
- patch license to follow spdx.org standard
* Tue Nov 15 2011 vuntz@opensuse.org
- Update to version 2.22.6:
  + Add #includes needed with the latest glibmm.
* Sat Sep 17 2011 jengelh@medozas.de
- Remove redundant tags/sections from specfile
- Use %%_smp_mflags for parallel build
- Add atkmm-devel to baselibs
* Thu Jul  7 2011 vuntz@opensuse.org
- Stop using source service to download the tarball, as Factory
  will move away from this.
* Sat Apr 30 2011 dimstar@opensuse.org
- Update to version 2.22.5:
  + bgo#645669: Install the m4 files even without
  - -enable-maintainer-mode, as with other modules.
- Use source services: download_url and set_version.
* Wed Mar 23 2011 fcrozat@novell.com
- Update to version 2.22.4:
  + Avoid a tarball dependency on mm-common.
- Changes from version 2.22.3:
  + a tarball regeneration due to a changed m4 macro in mm-common.
* Sun Jan  9 2011 vuntz@opensuse.org
- Update to version 2.22.2:
  + Install m4 files needed by recent versions of gtkmm when
    building from git.
* Tue Dec  7 2010 vuntz@opensuse.org
- Update to version 2.22.1:
  + Distribute the GPL in the tarball, in addition to the LGPL,
    because the Windows build uses a GPL builder tool.
* Mon Sep 27 2010 vuntz@opensuse.org
- Update to version 2.22.0:
  + Just increased version to show that it's an API/ABI-stable
    release.
* Fri Aug  6 2010 vuntz@opensuse.org
- Initial package: the code got split from gtkmm2.
